package com.muyu.system.domain.rep;

import com.baomidou.mybatisplus.annotation.TableField;
import com.muyu.common.security.utils.SecurityUtils;
import com.muyu.common.system.domain.SysDept;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author dongzeliang
 * @version 1.0
 * @description: 部门管理添加请求对象
 * @date 2025/1/16 18:06
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SysDeptAddReq {

    /**
     * 父部门ID
     */
    private Long parentId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 显示顺序
     */
    private Integer orderNum;

    /**
     * 负责人
     */
    private String leader;

    /**
     * 联系电话
     */
    private String phone;

    /**
     * 邮箱
     */
    private String email;

    /**
     * 部门状态:0正常,1停用
     */
    private String status;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public SysDept buildSysDept(){
        return SysDept.builder()
                .deptName(this.deptName)
                .orderNum(this.orderNum)
                .email(this.email)
                .delFlag(this.delFlag)
                .phone(this.phone)
                .status(this.status)
                .leader(this.leader)
                .parentId(this.parentId)
                .createBy(SecurityUtils.getUsername())
                .build();
    }

}
